'use strict';
var topiarist = require('topiarist');
var PresentationModel = require('caplin/presenter/PresentationModel');
var WritableProperty = require('caplin/presenter/property/WritableProperty');
var EditableProperty = require('caplin/presenter/property/EditableProperty');
var Property = require('caplin/presenter/property/Property');

function TilePresentationModel() {
	this.currencyPair = new Property('GBPUSD');
	this.dealtCurrency = new Property('GBP');
	this.amount = new EditableProperty(50000);
	this.sellRate = new WritableProperty(1.11);
	this.buyRate = new WritableProperty(2.22);
}

topiarist.extend(TilePresentationModel, PresentationModel);

module.exports = TilePresentationModel;
